Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network194.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
194.0.0.0
Broadcast address
195.255.255.255
First usable
194.0.0.1
Last usable
195.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
C (default /24)
As numbers
Hex C2000000 · Integer 3254779904 to 3288334335
Reverse DNS zones
194.in-addr.arpa
195.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000010.00000000.00000000.00000000194.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11000010.00000000.00000000.00000000194.0.0.0
Broadcast11000011.11111111.11111111.11111111195.255.255.255
Split into smaller subnets/14

194.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1194.0.0.0/14194.0.0.1 to 194.3.255.254194.3.255.255262,142
2194.4.0.0/14194.4.0.1 to 194.7.255.254194.7.255.255262,142
3194.8.0.0/14194.8.0.1 to 194.11.255.254194.11.255.255262,142
4194.12.0.0/14194.12.0.1 to 194.15.255.254194.15.255.255262,142
5194.16.0.0/14194.16.0.1 to 194.19.255.254194.19.255.255262,142
6194.20.0.0/14194.20.0.1 to 194.23.255.254194.23.255.255262,142
7194.24.0.0/14194.24.0.1 to 194.27.255.254194.27.255.255262,142
8194.28.0.0/14194.28.0.1 to 194.31.255.254194.31.255.255262,142
9194.32.0.0/14194.32.0.1 to 194.35.255.254194.35.255.255262,142
10194.36.0.0/14194.36.0.1 to 194.39.255.254194.39.255.255262,142
11194.40.0.0/14194.40.0.1 to 194.43.255.254194.43.255.255262,142
12194.44.0.0/14194.44.0.1 to 194.47.255.254194.47.255.255262,142
13194.48.0.0/14194.48.0.1 to 194.51.255.254194.51.255.255262,142
14194.52.0.0/14194.52.0.1 to 194.55.255.254194.55.255.255262,142
15194.56.0.0/14194.56.0.1 to 194.59.255.254194.59.255.255262,142
16194.60.0.0/14194.60.0.1 to 194.63.255.254194.63.255.255262,142
17194.64.0.0/14194.64.0.1 to 194.67.255.254194.67.255.255262,142
18194.68.0.0/14194.68.0.1 to 194.71.255.254194.71.255.255262,142
19194.72.0.0/14194.72.0.1 to 194.75.255.254194.75.255.255262,142
20194.76.0.0/14194.76.0.1 to 194.79.255.254194.79.255.255262,142
21194.80.0.0/14194.80.0.1 to 194.83.255.254194.83.255.255262,142
22194.84.0.0/14194.84.0.1 to 194.87.255.254194.87.255.255262,142
23194.88.0.0/14194.88.0.1 to 194.91.255.254194.91.255.255262,142
24194.92.0.0/14194.92.0.1 to 194.95.255.254194.95.255.255262,142
25194.96.0.0/14194.96.0.1 to 194.99.255.254194.99.255.255262,142
26194.100.0.0/14194.100.0.1 to 194.103.255.254194.103.255.255262,142
27194.104.0.0/14194.104.0.1 to 194.107.255.254194.107.255.255262,142
28194.108.0.0/14194.108.0.1 to 194.111.255.254194.111.255.255262,142
29194.112.0.0/14194.112.0.1 to 194.115.255.254194.115.255.255262,142
30194.116.0.0/14194.116.0.1 to 194.119.255.254194.119.255.255262,142
31194.120.0.0/14194.120.0.1 to 194.123.255.254194.123.255.255262,142
32194.124.0.0/14194.124.0.1 to 194.127.255.254194.127.255.255262,142
33194.128.0.0/14194.128.0.1 to 194.131.255.254194.131.255.255262,142
34194.132.0.0/14194.132.0.1 to 194.135.255.254194.135.255.255262,142
35194.136.0.0/14194.136.0.1 to 194.139.255.254194.139.255.255262,142
36194.140.0.0/14194.140.0.1 to 194.143.255.254194.143.255.255262,142
37194.144.0.0/14194.144.0.1 to 194.147.255.254194.147.255.255262,142
38194.148.0.0/14194.148.0.1 to 194.151.255.254194.151.255.255262,142
39194.152.0.0/14194.152.0.1 to 194.155.255.254194.155.255.255262,142
40194.156.0.0/14194.156.0.1 to 194.159.255.254194.159.255.255262,142
41194.160.0.0/14194.160.0.1 to 194.163.255.254194.163.255.255262,142
42194.164.0.0/14194.164.0.1 to 194.167.255.254194.167.255.255262,142
43194.168.0.0/14194.168.0.1 to 194.171.255.254194.171.255.255262,142
44194.172.0.0/14194.172.0.1 to 194.175.255.254194.175.255.255262,142
45194.176.0.0/14194.176.0.1 to 194.179.255.254194.179.255.255262,142
46194.180.0.0/14194.180.0.1 to 194.183.255.254194.183.255.255262,142
47194.184.0.0/14194.184.0.1 to 194.187.255.254194.187.255.255262,142
48194.188.0.0/14194.188.0.1 to 194.191.255.254194.191.255.255262,142
49194.192.0.0/14194.192.0.1 to 194.195.255.254194.195.255.255262,142
50194.196.0.0/14194.196.0.1 to 194.199.255.254194.199.255.255262,142
51194.200.0.0/14194.200.0.1 to 194.203.255.254194.203.255.255262,142
52194.204.0.0/14194.204.0.1 to 194.207.255.254194.207.255.255262,142
53194.208.0.0/14194.208.0.1 to 194.211.255.254194.211.255.255262,142
54194.212.0.0/14194.212.0.1 to 194.215.255.254194.215.255.255262,142
55194.216.0.0/14194.216.0.1 to 194.219.255.254194.219.255.255262,142
56194.220.0.0/14194.220.0.1 to 194.223.255.254194.223.255.255262,142
57194.224.0.0/14194.224.0.1 to 194.227.255.254194.227.255.255262,142
58194.228.0.0/14194.228.0.1 to 194.231.255.254194.231.255.255262,142
59194.232.0.0/14194.232.0.1 to 194.235.255.254194.235.255.255262,142
60194.236.0.0/14194.236.0.1 to 194.239.255.254194.239.255.255262,142
61194.240.0.0/14194.240.0.1 to 194.243.255.254194.243.255.255262,142
62194.244.0.0/14194.244.0.1 to 194.247.255.254194.247.255.255262,142
63194.248.0.0/14194.248.0.1 to 194.251.255.254194.251.255.255262,142
64194.252.0.0/14194.252.0.1 to 194.255.255.254194.255.255.255262,142
65195.0.0.0/14195.0.0.1 to 195.3.255.254195.3.255.255262,142
66195.4.0.0/14195.4.0.1 to 195.7.255.254195.7.255.255262,142
67195.8.0.0/14195.8.0.1 to 195.11.255.254195.11.255.255262,142
68195.12.0.0/14195.12.0.1 to 195.15.255.254195.15.255.255262,142
69195.16.0.0/14195.16.0.1 to 195.19.255.254195.19.255.255262,142
70195.20.0.0/14195.20.0.1 to 195.23.255.254195.23.255.255262,142
71195.24.0.0/14195.24.0.1 to 195.27.255.254195.27.255.255262,142
72195.28.0.0/14195.28.0.1 to 195.31.255.254195.31.255.255262,142
73195.32.0.0/14195.32.0.1 to 195.35.255.254195.35.255.255262,142
74195.36.0.0/14195.36.0.1 to 195.39.255.254195.39.255.255262,142
75195.40.0.0/14195.40.0.1 to 195.43.255.254195.43.255.255262,142
76195.44.0.0/14195.44.0.1 to 195.47.255.254195.47.255.255262,142
77195.48.0.0/14195.48.0.1 to 195.51.255.254195.51.255.255262,142
78195.52.0.0/14195.52.0.1 to 195.55.255.254195.55.255.255262,142
79195.56.0.0/14195.56.0.1 to 195.59.255.254195.59.255.255262,142
80195.60.0.0/14195.60.0.1 to 195.63.255.254195.63.255.255262,142
81195.64.0.0/14195.64.0.1 to 195.67.255.254195.67.255.255262,142
82195.68.0.0/14195.68.0.1 to 195.71.255.254195.71.255.255262,142
83195.72.0.0/14195.72.0.1 to 195.75.255.254195.75.255.255262,142
84195.76.0.0/14195.76.0.1 to 195.79.255.254195.79.255.255262,142
85195.80.0.0/14195.80.0.1 to 195.83.255.254195.83.255.255262,142
86195.84.0.0/14195.84.0.1 to 195.87.255.254195.87.255.255262,142
87195.88.0.0/14195.88.0.1 to 195.91.255.254195.91.255.255262,142
88195.92.0.0/14195.92.0.1 to 195.95.255.254195.95.255.255262,142
89195.96.0.0/14195.96.0.1 to 195.99.255.254195.99.255.255262,142
90195.100.0.0/14195.100.0.1 to 195.103.255.254195.103.255.255262,142
91195.104.0.0/14195.104.0.1 to 195.107.255.254195.107.255.255262,142
92195.108.0.0/14195.108.0.1 to 195.111.255.254195.111.255.255262,142
93195.112.0.0/14195.112.0.1 to 195.115.255.254195.115.255.255262,142
94195.116.0.0/14195.116.0.1 to 195.119.255.254195.119.255.255262,142
95195.120.0.0/14195.120.0.1 to 195.123.255.254195.123.255.255262,142
96195.124.0.0/14195.124.0.1 to 195.127.255.254195.127.255.255262,142
97195.128.0.0/14195.128.0.1 to 195.131.255.254195.131.255.255262,142
98195.132.0.0/14195.132.0.1 to 195.135.255.254195.135.255.255262,142
99195.136.0.0/14195.136.0.1 to 195.139.255.254195.139.255.255262,142
100195.140.0.0/14195.140.0.1 to 195.143.255.254195.143.255.255262,142
101195.144.0.0/14195.144.0.1 to 195.147.255.254195.147.255.255262,142
102195.148.0.0/14195.148.0.1 to 195.151.255.254195.151.255.255262,142
103195.152.0.0/14195.152.0.1 to 195.155.255.254195.155.255.255262,142
104195.156.0.0/14195.156.0.1 to 195.159.255.254195.159.255.255262,142
105195.160.0.0/14195.160.0.1 to 195.163.255.254195.163.255.255262,142
106195.164.0.0/14195.164.0.1 to 195.167.255.254195.167.255.255262,142
107195.168.0.0/14195.168.0.1 to 195.171.255.254195.171.255.255262,142
108195.172.0.0/14195.172.0.1 to 195.175.255.254195.175.255.255262,142
109195.176.0.0/14195.176.0.1 to 195.179.255.254195.179.255.255262,142
110195.180.0.0/14195.180.0.1 to 195.183.255.254195.183.255.255262,142
111195.184.0.0/14195.184.0.1 to 195.187.255.254195.187.255.255262,142
112195.188.0.0/14195.188.0.1 to 195.191.255.254195.191.255.255262,142
113195.192.0.0/14195.192.0.1 to 195.195.255.254195.195.255.255262,142
114195.196.0.0/14195.196.0.1 to 195.199.255.254195.199.255.255262,142
115195.200.0.0/14195.200.0.1 to 195.203.255.254195.203.255.255262,142
116195.204.0.0/14195.204.0.1 to 195.207.255.254195.207.255.255262,142
117195.208.0.0/14195.208.0.1 to 195.211.255.254195.211.255.255262,142
118195.212.0.0/14195.212.0.1 to 195.215.255.254195.215.255.255262,142
119195.216.0.0/14195.216.0.1 to 195.219.255.254195.219.255.255262,142
120195.220.0.0/14195.220.0.1 to 195.223.255.254195.223.255.255262,142
121195.224.0.0/14195.224.0.1 to 195.227.255.254195.227.255.255262,142
122195.228.0.0/14195.228.0.1 to 195.231.255.254195.231.255.255262,142
123195.232.0.0/14195.232.0.1 to 195.235.255.254195.235.255.255262,142
124195.236.0.0/14195.236.0.1 to 195.239.255.254195.239.255.255262,142
125195.240.0.0/14195.240.0.1 to 195.243.255.254195.243.255.255262,142
126195.244.0.0/14195.244.0.1 to 195.247.255.254195.247.255.255262,142
127195.248.0.0/14195.248.0.1 to 195.251.255.254195.251.255.255262,142
128195.252.0.0/14195.252.0.1 to 195.255.255.254195.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses